
<script>
    var requireJS = [];
    loadJS(requireJS, "js/views/order-activity.js");
</script>

<div class="col-lg-12">
    <div class="card">
        <div class="card-header">
            <i class="fa fa-align-justify"></i>&nbsp;<strong class="h4" th:text="#{orderMovements}">Movimientos del pedido</strong>
            <span th:if="${shipment.shippingCountry == 'CO'}">
                <a th:href=" 'https://mobile.servientrega.com/WebSitePortal/RastreoEnvioDetalle.html?Guia=' + ${shipment.trackingNumber}" target="_blank">
                    <i class="fa fa-external-link"></i>                    
                </a>                
            </span>
            <span th:if="${shipment.shippingCountry == 'EC'}">
                <a th:href="'http://www.servientrega.com.ec/rastreo/guia/' + ${shipment.trackingNumber}" target="_blank">
                    <i class="fa fa-external-link"></i>
                </a>
            </span>
            <span th:if="${shipment.shippingCountry == 'PE'}">
                <a th:href="'http://www.servientrega.com.pe/Rastreo/Info/' + ${shipment.trackingNumber}" target="_blank">
                    <i class="fa fa-external-link"></i>
                </a>
            </span>
        </div>
        <div class="card-block">
            <table class="table table-sm">
                <thead>
                    <tr>
                        <th th:text="#{date}">Fecha</th>
                        <th th:text="#{code}">Código</th>
                        <th th:text="#{description}">Descripcion</th>
                        <th th:text="#{place}">Lugar</th>
                    </tr>
                </thead>
                <tbody>

                    <tr th:each="item : ${activities}">
                        <td th:text="${#dates.format(item.activityDate, 'dd/MM/yyyy HH:mm:ss')}"></td>
                        <td th:text="${item.code}"></td>
                        <td class="text">                                    
                            <a href="#" data-toggle="tooltip" th:title="${item.description}">
                                <span th:text="${item.description}"></span>
                            </a>
                        </td>
                        <td th:text="${item.locationDescription}"></td>
                        <!--<td>
                            <div th:switch="${item.status}">
                                <span class="badge badge-info" th:text="${item.status}" th:case="'step1'"></span>
                                <span class="badge badge-info" th:text="${item.status}" th:case="'step2'"></span>
                                <span class="badge badge-warning" th:text="${item.status}" th:case="'payment'"></span>
                                <span class="badge badge-warning" th:text="${item.status}" th:case="'payment_done'"></span>
                                <span class="badge badge-success" th:text="${item.status}" th:case="'complete'"></span>
                                <span class="badge badge-success" th:text="${item.status}" th:case="'ordered'"></span>
                                <span class="badge badge-default" th:text="${item.status}" th:case="*"></span>
                            </div>
                        </td>
                        <td>
                            <i class="fa fa-eye action-button" data-toggle="modal" data-target="#viewModal" th:attr="data-url='views/clients/clients/'+${item.id}+'/form'"></i>
                            <i sec:authorize="hasRole('ROLE_ADMIN')" class="fa fa-pencil action-button" data-toggle="modal" data-target="#editModal"></i>
                        </td>-->
                    </tr>
                </tbody>
            </table>
            <br/>
        </div>
    </div>
</div>